Package org.eclipse.m2m.atl.engine.asm

# Class ASMXMLWriter

java.lang.Object
org.eclipse.m2m.atl.engine.asm.ASMWriter
org.eclipse.m2m.atl.engine.asm.ASMXMLWriter

public class ASMXMLWriter extends ASMWriter
Writes ASM as XML.

## Constructor Summary

Constructors
Constructor
Description
`ASMXMLWriter(PrintWriter out, boolean debug)`
Creates a new asm writer.

## Method Summary

Modifier and Type
Method
Description
`void`
`print(ASM asm)`

### Methods inherited from class org.eclipse.m2m.atl.engine.asm.ASMWriter

`getConstantPool, getCPIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ASMXMLWriter

public ASMXMLWriter(PrintWriter out, boolean debug)
Creates a new asm writer.

Parameters:
  `out` - the writer
  `debug` - debugs instructions if true

## Method Details

### print

public void print(ASM asm)

Specified by:
  `print` in class `ASMWriter`
See Also:
  - `ASMWriter.print(org.eclipse.m2m.atl.engine.asm.ASM)`